
.TH "STAGES" 1 "2021-01-08" "" "Annotation Pipeline"

.SH SYNOPSIS
Stages of the
.B Annotation Pipline
and the associated methods (targets) to run them.

.SH STAGES

.SS PREPARE
Prepares the input genome. Copy the genome to \fI0-ref/\fR, decompressing if
necessary. Then split to \fBGENOME_SPLIT\fR number of fasta files.

.TP
.BR TARGETS:
.TP
.BR prepare

.SS REPEATS
Creates the gff repeat annotation [\fI.rm.gff3\fR] and soft-masked fasta file
[\fI.genome.fa.masked\fR] using RepeatModeler2 and RepeatMasker. The repeat
annotations are use in every iteration of maker. The soft-masked genome is used
by braker.

.TP
.BR TARGETS:
.TP
.BR repeats

.SS ALIGN
Align the rna-seq libraries to the genome using hisat

.TP
.BR TARGETS:
.TP
.BR align
Runs \fBalign-run-setup\fR and \fBalign-run\fR

.TP
.BR align-run-setup
Create the hisat database from the \fBprepare\fR genome

.TP
.BR align-run
Creates a sorted bam and stat file for each library.

.TP
.BR align-run-#
Convenience target for job array. Creates a sorted bam and stat file for a
single library, number \fI#\fR in \fBLIBS\fR list

.SS BRAKER
BRAKER2 pipeline. Creates GeneMark mod file and Augustus species folder.
The mod file is used in every iteration of maker. The Augustus species folder is
only used in the first maker iteration.

.TP
.BR TARGETS:
.TP
.BR braker
Runs entire braker pipeline.


.SS MIKADO
Mikado transcipt assembly pipeline. Mikado combines transcripts from multiple
assemblies returning representative transcripts. Creats a subloci gff that's
used in every maker iteration.

.TP
.BR TARGETS:

.TP
.BR mikado ", " mikado-all
Runs entire mikado pipeline.

.TP
.BR mikado-trinity ", " mikado-trinity-assemble ", " mikado-trinity-align
\fBmikado-trinity\fR is a convenience target for running both
.BR mikado-trinity-assemble " and " mikado-trinity-align .
\fBmikado-trinity-assemble\fR run the genome-guided trinity assembly.
\fBmikado-trinity-align\fR aligns the genome-guided assembly to the genome using
gmap.

.TP
.BR mikado-not-trinity ", " mikado-stringtie ", " mikado-cufflinks ", " mikado-portcullis
\fBmidado-not-trinity\fR is a convenience target for running
.BR mikado-stringtie ", " mikado-cufflinks ", and " mikado-portcullis .
\fBmikado-stringtie\fR run stringtie on each library alignment and merges them
into a single gff file. \fBmikado-cufflinks\fR runs cufflinks on all library
alignments. \fBmikado-portcullis\fR runs portcullis, a junction site validator,
on the library alignments.
.TP
.BR mikado-setup
Creates input files for mikado
.TP
.BR mikado-config
Runs \fImikado configure\fR
.TP
.BR mikado-prepare
Run \fImikado prepare\fR and splits the prepared transcripts into
\fBMIKADO_SPLIT\fR chunks.
.TP
.BR mikado-blast ", " mikado-blast-run-#
Blasts the prepared transcripts against the \fBUNIPORT\fR database.
.B mikado-blast
blasts all chunks, while
.B mikado-blast-#
blasts a single chunk.

.TP
.BR mikado-prodigal
Runs prodigal on the prepared transcripts to find ORFs. Replaces transdecoder.
.TP
.BR mikado-serialise
Runs \fImikado serialise\fR

.TP
.BR mikado-subloci
Runs \fImikado subloci\fR, creating the final gff annoataions used by all maker iterations


.SS MAKER-BLAST
Run Maker with only evidence files \fBMAKER_[PROTEIN,EST,ALTEST]\fR
individually to get gff annotation files. These will be used in every maker iteration.

.TP
.BR TARGETS:

.TP
.BR maker-blast
Convenience target to run all applicable blasts:
.BR maker-blast-protein ", " maker-blast-est ", " maker-blast-altest

.TP
.BR maker-blast-protein ", " maker-blast-est ", " maker-blast-altest
Convenience targets to run
.BR maker-blast-[protein,est,alest]-setup " and " maker-blast-[protein,est,alest]-run-all

.TP
.BR maker-blast-protein-setup ", " maker-blast-est-setup ", " maker-blast-altest-setup
Creates maker config files
.TP
.BR maker-blast-protein-run-all ", " maker-blast-est-run-all ", " maker-blast-altest-run-all
Runs all genome chunks through maker sequentially
.TP
.BR maker-blast-protein-run-# ", " maker-blast-est-run-# ", " maker-blast-altest-run-#
Runs a single genome chunk through maker.

.SS MAKER

.TP
.BR TARGETS:

.SS BUSCO

.TP
.BR TARGETS:

.SS FILTER

.TP
.BR TARGETS:

.SS IPRSCAN

.TP
.BR TARGETS:

.SS BLAST

.TP
.BR TARGETS:

.SS RENAME

.TP
.BR TARGETS:
